org.apache.sling.urlrewriter.internal

## Class SlingUrlRewriteFilter.DocumentConf

- java.lang.Object
- - org.tuckey.web.filters.urlrewrite.Conf
  - - org.apache.sling.urlrewriter.internal.SlingUrlRewriteFilter.DocumentConf

Enclosing class:
  SlingUrlRewriteFilter

    public class SlingUrlRewriteFilter.DocumentConf
    extends org.tuckey.web.filters.urlrewrite.Conf

### Field Summary

### Fields inherited from class org.tuckey.web.filters.urlrewrite.Conf

`decodeUsing, defaultMatchType, useContext, useQueryString`

### Constructor Summary

Constructors
Constructor and Description
`DocumentConf(Document rules)`

### Method Summary

### Methods inherited from class org.tuckey.web.filters.urlrewrite.Conf

`addOutboundRule, addRule, destroy, getCatchElems, getDecodeUsing, getDefaultMatchType, getErrors, getFileName, getLoadedDate, getOutboundRules, getRules, initialise, isDecodeUsingCustomCharsetRequired, isDecodeUsingEncodingHeader, isEngineEnabled, isLoadedFromFile, isOk, isUseContext, isUseQueryString, loadDom, loadModRewriteStyle, processConfDoc, setDecodeUsing, setDefaultMatchType, setEngineEnabled, setUseContext, setUseQueryString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentConf

    public DocumentConf(Document rules)